use core::system::System;
use simplelog::*;

const ROM_PATH: &'static str = "./roms/dk.nes";

fn main() {
    CombinedLogger::init(vec![TermLogger::new(
        LevelFilter::Debug,
        Config::default(),
        TerminalMode::Mixed,
        ColorChoice::Auto,
    )])
    .unwrap();

    let mut system = System::new();
    system.insert_rom(ROM_PATH).expect("Failed to insert ROM");

    print!("Do stuff");
}
